using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("被交底人员表")]
    public class T_FO_TECH_DISCLOSURE_PERSON : MesEntityBase
    {
        [Description("技术交底表ID")]
        [DataFieldForeignKey("Nav_TechDisclosure", "Nav_Person")]
        public Guid TECH_DISCLOSURE_FROM_ID { get; set; }

        [Description("导航属性：技术交底表")]
        public virtual T_FO_TECH_DISCLOSURE_FROM Nav_TechDisclosure { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_RelatedUser")]
        public Guid? RELATED_USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_OG_RELATED_USER Nav_RelatedUser { get; set; }
    }
}
